Skip to content
WP EngineDocumentation

Update offload settings

PATCH
/installs/{install_id}/offload_settings/files
curl --request PATCH \
--url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/offload_settings/files \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "largefs_settings": { "cloud": "s3", "bucket": "example", "bucket_region": "example", "path_settings": [ { "path": "example", "excluded_paths": [ "example" ], "redirect_type": "break" } ] } }'

Partially updates the offload settings configuration for the install. Only the settings supplied are changed.

Limitations & Warnings

  • Asynchronous: the update is accepted, but isn’t applied immediately.
install_id
required
string format: uuid

ID of install

Example
294deacc-d8b8-4005-82c4-0727ba8ddde0
Properties
  • large_fs_config - required - The configuration for offloaded storage
Media typeapplication/json
object
largefs_settings
object
cloud
string
Allowed values: s3
bucket
string
bucket_region
string
path_settings
Array<object>
object
path
string
excluded_paths
Array<string>
redirect_type
string
Allowed values: break permanent

Accepted. The partial update has been accepted for processing.

Bad Request

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid request.",
"errors": [
{
"resource": "Resource",
"field": "field_name",
"type": "invalid_value",
"code": "invalid",
"message": "The value is invalid."
}
]
}

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable